# Interface methods for submodule: DoubleThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DoubleThresholdImageFilter
class DoubleThresholdImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def SetThreshold1(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetThreshold1(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetThreshold2(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetThreshold2(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetThreshold3(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetThreshold3(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetThreshold4(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetThreshold4(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetThreshold1(self) -> float:
		""""""
		...

	@overload
	def GetThreshold1(self) -> int:
		""""""
		...

	@overload
	def GetThreshold2(self) -> float:
		""""""
		...

	@overload
	def GetThreshold2(self) -> int:
		""""""
		...

	@overload
	def GetThreshold3(self) -> float:
		""""""
		...

	@overload
	def GetThreshold3(self) -> int:
		""""""
		...

	@overload
	def GetThreshold4(self) -> float:
		""""""
		...

	@overload
	def GetThreshold4(self) -> int:
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

